Skip to main content
GET
/
v3
/
futures
/
fundingFee
/
history
cURL
curl --request GET \
  --url https://api.woox.io/v3/futures/fundingFee/history \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-api-signature: <x-api-signature>' \
  --header 'x-api-timestamp: <x-api-timestamp>'
{
    "success": true,
    "data": {
        "meta": {
            "total": 670,
            "recordsPerPage": 25,
            "currentPage": 1
        },
        "rows": [
            {
                "id": 1286360,
                "symbol": "PERP_BTC_USDT",
                "fundingRate": -0.00001445,
                "markPrice": "26930.60000000",
                "fundingFee": "9.56021744",
                "fundingIntervalHours": 8,
                "paymentType": "Pay",
                "status": "COMPLETED",
                "createdTime": 1696060873259,
                "updatedTime": 1696060873286
            },
            {
                "id": 1286115,
                "symbol": "PERP_BTC_USDT",
                "fundingRate": 0.00006526,
                "markPrice": "26911.00000000",
                "fundingFee": "43.14503239",
                "fundingIntervalHours": 8,
                "paymentType": "Receive",
                "status": "COMPLETED",
                "createdTime": 1696032073609,
                "updatedTime": 1696032073643
            },
            ...
        ]
    },
    "timestamp": 1721351502594
}

Documentation Index

Fetch the complete documentation index at: https://developer.woox.io/llms.txt

Use this file to discover all available pages before exploring further.

Limit: 20 requests per 60 seconds per user
Get funding fee history
{
    "success": true,
    "data": {
        "meta": {
            "total": 670,
            "recordsPerPage": 25,
            "currentPage": 1
        },
        "rows": [
            {
                "id": 1286360,
                "symbol": "PERP_BTC_USDT",
                "fundingRate": -0.00001445,
                "markPrice": "26930.60000000",
                "fundingFee": "9.56021744",
                "fundingIntervalHours": 8,
                "paymentType": "Pay",
                "status": "COMPLETED",
                "createdTime": 1696060873259,
                "updatedTime": 1696060873286
            },
            {
                "id": 1286115,
                "symbol": "PERP_BTC_USDT",
                "fundingRate": 0.00006526,
                "markPrice": "26911.00000000",
                "fundingFee": "43.14503239",
                "fundingIntervalHours": 8,
                "paymentType": "Receive",
                "status": "COMPLETED",
                "createdTime": 1696032073609,
                "updatedTime": 1696032073643
            },
            ...
        ]
    },
    "timestamp": 1721351502594
}

Headers

x-api-key
string
required
Example:

"abcdef123456"

x-api-signature
string
required
Example:

"signaturestring"

x-api-timestamp
string
required
Example:

"1718943200000"

Query Parameters

symbol
string
required

Symbol name

startTime
integer

Start timestamp in Unix timestamp format in milliseconds

endTime
integer

End timestamp in Unix timestamp format in milliseconds

page
integer

Page number

size
integer

Data size per page, max 500

Response

200 - application/json
success
boolean

true

timestamp
integer

timestamp

data
object